<?php

$nume = getuserdata('nume');
$prenume = getuserdata('prenume');
$telefon = getuserdata('telefon');
$email = getuserdata('email');
$mesaj = getuserdata('mesaj');
$submit = getuserdata('submit');
$eroare = '';

function procesare_modul()
{
    global $nume, $prenume, $telefon, $email, $mesaj, $submit, $eroare;
    if ($submit != 'Trimite') return;
    if (!$nume) $eroare .= 'Nu ați introdus numele dumneavoastră<br>';
    if (!$prenume) $eroare .= 'Nu ați introdus prenumele dumneavoastră<br>';
    if (!$mesaj) $eroare .= 'Nu ați introdus mesajul<br>';
    if ($eroare) $submit = '';
    else
    {
        $mesaj_email = "Ati primit un mesaj de la $nume $prenume, adresa $adresa, tel. $telefon ".
                       (($email)?"e-mail $email":'')."\n\r\n\r".
                       "Textul mesajului:\n\r\n\r $mesaj";
        $q = mysql_query("SELECT * FROM optiuni");
        if ($r = mysql_fetch_assoc($q))
            if ($r['email_sugestii'])
                mail($r['email_sugestii'], 'Sugestii BizMedica', $mesaj_email, "From: webmaster@setrio.ro");
    }
}

function scripturi_modul()
{
}

function afisare_modul()
{
    global $nume, $prenume, $telefon, $email, $mesaj, $submit, $id_meniu, $eroare;
    if ($submit == 'Trimite')
    {
        echo "<h1>Sugestii</h1>";
        echo "<p>&nbsp;</p>";
        echo "<p>Mesajul dumneavoastră a fost transmis. Vă mulțumim pentru interesul acordat.";
        echo "<p>&nbsp;</p>";
    }   
    else
    { 
        echo "<h1>Sugestii</h1>";
        echo "<p>Dacă aveți sugestii legate de produsele noastre, vă rugăm să completați câmpurile de mai jos:</p>";
        if ($eroare) echo "<center style='color: red'>$eroare</center>";
        echo "<form action='{$_SERVER['PHP_SELF']}?id_meniu=$id_meniu' method='post'>";
        echo "<center><table class='formular'>";
        echo "<tr><th>Nume</th><td><input type='text' name='nume' value='$nume'></td></tr>";
        echo "<tr><th>Prenume</th><td><input type='text' name='prenume' value='$prenume'></td></tr>";
        echo "<tr><th>Telefon</th><td><input type='text' name='telefon' value='$telefon'></td></tr>";
        echo "<tr><th>E-mail</th><td><input type='text' name='email' value='$email'></td></tr>";
        echo "<tr><th>Sugestie</th><td><textarea name='mesaj'>$mesaj</textarea></td></tr>";
        echo "<tr><th></th><td class='butoane'>";
        echo "<input type='submit' name='submit' value='Trimite' class='buton_trimite'>";
        echo "</td></tr></table></center></form>";
    }
}

?>